# GET All Seasons

{% tabs %}
{% tab title="Base URL" %}

```javascript
https://api.sportmonks.com/v3/motorsport/seasons
```

{% endtab %}

{% tab title="Example Response" %}

```json
{
    "data": [
        {
            "id": 25273,
            "sport_id": 2,
            "league_id": 3468,
            "tie_breaker_rule_id": 573,
            "name": "2025",
            "finished": false,
            "pending": false,
            "is_current": true,
            "starting_at": "2025-03-14",
            "ending_at": "2025-12-07",
            "standings_recalculated_at": "2025-07-06 16:23:46",
            "games_in_current_week": false
        }
    ],
```

{% endtab %}

{% tab title="Field Description" %}

| Field                       | Description                                                                                             | Type    |
| --------------------------- | ------------------------------------------------------------------------------------------------------- | ------- |
| `id`                        | Refers to the id of the season                                                                          | integer |
| `sport_id`                  | Refers to the sport of the season                                                                       | integer |
| `league_id`                 | Refers to the league of the season                                                                      | integer |
| `tie_breaker_rule_id`       | Refers to the type of tie-breaker rule used to determine the season winner - N/A for the Motorsport API | integer |
| `name`                      | The name of the season                                                                                  | string  |
| `finished`                  | Indicates if the season finished or not                                                                 | integer |
| `pending`                   | Indicates if the season pending or not                                                                  | integer |
| `is_current`                | Indicates if the season is the current season or not                                                    | integer |
| `starting_at`               | The starting date of the season                                                                         | string  |
| `ending_at`                 | The ending date of the season                                                                           | string  |
| `standings_recalculated_at` | The timestamp when standings were last updated                                                          | string  |
| `games_in_current_week`     | Not used in the Motorsport API                                                                          | boolean |
| {% endtab %}                |                                                                                                         |         |
| {% endtabs %}               |                                                                                                         |         |

{% tabs %}
{% tab title="Query Parameters" %}

<table><thead><tr><th>Query Parameters</th><th width="164.33333333333331">Required?</th><th>Description</th></tr></thead><tbody><tr><td><code>api_token</code></td><td>YES</td><td>Your unique API token</td></tr><tr><td><code>include</code></td><td>NO</td><td>Enrich the API with more data by using includes</td></tr><tr><td><code>select</code></td><td>NO</td><td>Select specific fields on the base entity</td></tr><tr><td><code>filters</code></td><td>NO</td><td><p>Filter the API response on multiple related entities. There are static filters and dynamic filters.</p><p></p><p>Please find the possibilities in the Static and Dynamic Filter tab.</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Static Filters" %}
**Static filters** are always the same and filter in one specific way without any custom options. Each static filter is listed below and has a description of how it filters. For more information, please look at our Filters page.
{% endtab %}

{% tab title="Dynamic Filters" %}
Not applicable for this endpoint.&#x20;
{% endtab %}
{% endtabs %}

#### Pagination

YES

#### Include depth

You can use a total of `3` nested includes on this endpoint

#### Include options

`sport` `league` `stages` `currentStage` `fixtures` `teams`

**Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the Season endpoints are:

* [Season](https://docs.sportmonks.com/v3/motorsport-api/endpoints-and-entities/entities/season)

#### Code Example

{% tabs %}
{% tab title="Ruby" %}

```ruby
require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/motorsport/seasons/SEASON_ID?api_token={your_token}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body

```

{% endtab %}

{% tab title="Python" %}

```python
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/motorsport/seasons/SEASON_ID?api_token={your_token}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.sportmonks.com/v3/motorsport/seasons/SEASON_ID?api_token={your_token}',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
));

$response = curl_exec($curl);

curl_close($curl);
echo $respons
```

{% endtab %}

{% tab title="Java" %}

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
Request request = new Request.Builder()
  .url("https://api.sportmonks.com/v3/motorsport/seasons/SEASON_ID?api_token={your_token}")
  .method("GET", null)
  .build();
Response response = client.newCall(request).execute();
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
var unirest = require('unirest');
var req = unirest('GET', 'https://api.sportmonks.com/v3/motorsport/seasons/SEASON_ID?api_token={your_token}')
  .end(function (res) { 
    if (res.error) throw new Error(res.error); 
    console.log(res.raw_body);
  });
```

{% endtab %}

{% tab title="Go" %}

```go
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.sportmonks.com/v3/motorsport/seasons/SEASON_ID?api_token={your_token}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}
{% endtabs %}
